Subject: bug#4839: 23.1.50; *Buffer List* -- incorrect handling of multibyte characters?

From: Glenn Morris <[email-masked]>
Date: Mon, 02 Nov 2009 04:08:16 -0500

[email-masked] wrote:

> Here is a part of my *Buffer List*:
>
>     desktop-menu.el      20228  Emacs-Lisp        ~/.emacs.d/load/desktop-menu.el
[...]
>     面無人色.org         11681  Org               ~/Documents/ling/cn/面無人色.org
>     xhc.org               1833  Org               ~/Documents/ling/cn/xhc.org
>     词典.org              2940  Org               ~/Documents/ling/cn/词典.org
[...]
> All the `Org' lines, with exception of `xhc.org', are misaligned.

When I copy and paste your buffer names, the issue seems to be that
`string-width' returns an incorrect value (eg 13 when the buffer name
actually seems to occupy 12). Although some of these characters seem
to have a non-integer width on my system, so I don't see that it is
possible to get this right. But it still looks more wrong than it
should be (off by > 1 character).